Authorise or reject a payment
curl --request PATCH \
--url https://{environment}.ebury.io/payments/{payment_id} \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/payments/{payment_id}"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.patch(url, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Making Payments
Authorise or reject a payment
PATCH
/
payments
/
{payment_id}
Authorise or reject a payment
Authorise or reject a payment with a given payment ID (the requirement to authorise or reject payments depends on your account configuration)
Only a different Contact ID than the one which initiated the payment can authorise payments.
Authorizations
An API Key.
Path Parameters
Unique idenifier for payment
Query Parameters
The ID of the client
The action to take (authorise or reject)
Available options:
authorise, reject Response
Payment successfully authorised or rejected